# Generated by Django 4.2.4 on 2023-10-10 07:36

import ceetutor.helper
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('tutor', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='FavoriteTutor',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('tutor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tutor.tutor')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            bases=(models.Model, ceetutor.helper.TimeSetup),
        ),
    ]
